using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace DontHarmDesktop.Pages
{
    /// <summary>
    /// Логика взаимодействия для WelcomePage.xaml
    /// </summary>
    public partial class WelcomePage : Page
    {
        public WelcomePage()
        {
            InitializeComponent();
            this.DataContext = this;
        }

        /// <summary>
        /// Конвертор роли в видимость ссылки принятия отходов
        /// </summary>
        public Visibility AcceptWasteVisibility
        {
            get
            {
                if (App.CurrentUser.role == 3)
                {
                    return Visibility.Visible;
                } else { 
                    return Visibility.Collapsed;
                }
            }
        }

        /// <summary>
        /// Конвертор роли в видимость ссылки работы с утилизатором
        /// </summary>
        public Visibility UtilizerVisibility
        {
            get
            {
                if (App.CurrentUser.role == 4)
                {
                    return Visibility.Visible;
                }
                else
                {
                    return Visibility.Collapsed;
                }
            }
        }


        /// <summary>
        /// Конвертор роли в видимость ссылки формирования отчётов
        /// </summary>
        public Visibility MakeReportsVisibility
        {
            get
            {
                if (App.CurrentUser.role == 3 || App.CurrentUser.role == 1)
                {
                    return Visibility.Visible;
                }
                else
                {
                    return Visibility.Collapsed;
                }
            }
        }

        /// <summary>
        /// Конвертор роли в видимость ссылки просмотра отчётов
        /// </summary>
        public Visibility ViewReportsVisibility
        {
            get
            {
                if (App.CurrentUser.role == 2)
                {
                    return Visibility.Visible;
                }
                else
                {
                    return Visibility.Collapsed;
                }
            }
        }

        /// <summary>
        /// Конвертор роли в видимость ссылки формирования счёта предприятию
        /// </summary>
        public Visibility MakeInvoiceVisibility
        {
            get
            {
                if (App.CurrentUser.role == 2)
                {
                    return Visibility.Visible;
                }
                else
                {
                    return Visibility.Collapsed;
                }
            }
        }

        /// <summary>
        /// Конвертор роли в видимость ссылки просмотра истории логинов
        /// </summary>
        public Visibility LoginHistoryVisibility
        {
            get
            {
                if (App.CurrentUser.role == 1)
                {
                    return Visibility.Visible;
                }
                else
                {
                    return Visibility.Collapsed;
                }
            }
        }

        /// <summary>
        /// Конвертор роли в видимость ссылки просмотра расходов
        /// </summary>
        public Visibility UsageVisibility
        {
            get
            {
                if (App.CurrentUser.role == 1)
                {
                    return Visibility.Visible;
                }
                else
                {
                    return Visibility.Collapsed;
                }
            }
        }

        /// <summary>
        /// Клик кнопки выхода
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void LogoffButton_Click(object sender, RoutedEventArgs e)
        {
            App.LogOff();
            NavigationService.Navigate(new AuthPage());
        }
    }
}
